Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.types
Class RNANucleotide

    java.lang.Object
      |
      +--uk.ac.man.bioinf.util.AbstractEnumeration
            |
            +--uk.ac.man.bioinf.sequence.types.AbstractElement
                  |
                  +--uk.ac.man.bioinf.sequence.types.RNANucleotide

All Implemented Interfaces:
  Element, NucleotideResidue, Residue, RNAResidue

public final class RNANucleotide
extends AbstractElement
implements RNAResidue

RNANucleotide.java A class for the representation of RNA Nucleotides. This class is an enumeration of types. Created: Mon Feb 28 15:42:47 2000

Version:
  $Id: RNANucleotide.java,v 1.4 2001/04/11 17:04:43 lord Exp $
Author:
  Daniel Jameson

Nested Class Summary

Nested classes inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`AbstractEnumeration.ElementIterator`

Field Summary
`static RNANucleotide` | `ADENOSINE`
`static RNANucleotide` | `CYTOSINE`
`static RNANucleotide` | `GUANINE`
`static RNANucleotide` | `URACIL`

Fields inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`ord`

Method Summary
`static RNANucleotide[]` | `getAll()`
`String` | `getFullName()`

Methods inherited from class uk.ac.man.bioinf.sequence.types.AbstractElement
`getAllSequenceElements, toChar`

Methods inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`getAllElements, getSize, iterator, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface uk.ac.man.bioinf.sequence.Element
`toChar`

Field Detail

### ADENOSINE

    public static final RNANucleotide ADENOSINE

### GUANINE

    public static final RNANucleotide GUANINE

### CYTOSINE

    public static final RNANucleotide CYTOSINE

### URACIL

    public static final RNANucleotide URACIL

Method Detail

### getFullName

    public String getFullName()

### getAll

    public static RNANucleotide[] getAll()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD